struct usb_class_driver
Prev | Chapter 4. Host-Side Data Types and Macros | Next

## Name

struct usb_class_driver — identifies a USB driver that wants to use the USB major number

## Synopsis

    struct usb_class_driver {
      char * name;
      const struct file_operations * fops;
      int minor_base;
    };

## Members

name

  the usb class device name for this driver. Will show up in sysfs.

fops

  pointer to the struct file_operations of this driver.

minor_base

  the start of the minor range for this driver.

## Description

This structure is used for the `usb_register_dev` and `usb_unregister_dev` functions, to consolidate a number of the parameters used for them.

Prev | Up | Next
struct usb_device_driver | Home | struct urb